package file_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"os"
)

type FileVerifyRequest struct {
	// <ext>core:true</ext> 【文件】文件 【作用】 上传需要验签的文件 【传参】 支持的文件格式：pdf，ofd。
	File *os.File `json:"file,omitempty"`
}

func (obj FileVerifyRequest) GetUrl() string {
	return "/file/verify"
}

func (obj FileVerifyRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddFiles("file", obj.File)
	return parameter
}
